# ``twisted`.`trial`.`util`.`DirtyReactorAggregateError``

class documentation

`class DirtyReactorAggregateError(Exception): (source)`

View In Hierarchy

Passed to `twisted.trial.itrial.IReporter.addError` when the reactor is left in an unclean state after a test.

Method | `__init__` | Undocumented
Method | `__str__` | Return a multi-line message describing all of the unclean state.
Instance Variable | `delayedCalls` | The `DelayedCall` objects which weren't cleaned up.
Instance Variable | `selectables` | The selectables which weren't cleaned up.

def __init__(self, delayedCalls, selectables=None): (source)

Undocumented

def __str__(self): (source)
Return a multi-line message describing all of the unclean state.

Returns
`str` | Undocumented

delayedCalls = (source)
The `DelayedCall` objects which weren't cleaned up.
selectables = (source)
The selectables which weren't cleaned up.